

import { RES } from "../../../module/RES";

/**
 * 元素爆炸特效状态动画
 */
export class ExplosiveBgAni extends FYGE.FrameAni {
    constructor() {
        var arr = [];
        var aaa = [0, 2, 4, 6, 8, 10, 13, 15, 17, 18, 20, 22, 24, 26, 28, 31, 33];
        for (var i = 0; i <= 60; i++) {
            if (aaa.indexOf(i) >= 0) {
                arr.push(RES.getRes("exLighting" + i + ".png"))
            } else {
                arr.push(null);
            }
        }
        super(arr);
        //一直循环
        this.play(0);

        //不交互
        this.mouseEnable = false;
        this.mouseChildren = false;
    }
} 